<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ #%L
  ~ u-print
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<?import ch.ge.ve.uprint.gui.validator.ControlComponentsPublicKeysFileValidator?>
<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXTextField?>
<?import com.jfoenix.validation.RequiredFieldValidator?>
<?import de.jensd.fx.glyphs.materialicons.MaterialIconView?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.StackPane?>
<?import javafx.scene.layout.VBox?>
<StackPane xmlns="http://javafx.com/javafx" xmlns:fx="http://javafx.com/fxml"
           styleClass="card"
           fx:controller="ch.ge.ve.uprint.gui.controller.ImportPublicKeysController">
    <VBox alignment="CENTER">
        <HBox styleClass="card-header">
            <Label text="%import-public-keys.title" styleClass="card-title"/>
        </HBox>
        <VBox alignment="CENTER" spacing="20" styleClass="card-content">
            <VBox alignment="CENTER_LEFT" fx:id="summaryBox">
                <Label styleClass="h3" text="%import-public-keys.keys-not-imported" fx:id="keysNotImportedLabel"/>
                <Label styleClass="h3" text="%import-public-keys.available-keys" fx:id="availableKeysLabel"/>
            </VBox>
            <VBox spacing="10">
                <Label styleClass="h4,mandatory" text="%import-public-keys.add-keys"/>
                <HBox alignment="CENTER_LEFT" spacing="5">
                    <JFXButton onMousePressed="#browserFiles" text="%import-public-keys.browse"
                               buttonType="FLAT"
                               styleClass="button-primary">
                        <graphic>
                            <MaterialIconView glyphName="ATTACH_FILE" styleClass="icon-primary"/>
                        </graphic>
                    </JFXButton>
                    <JFXTextField editable="false" fx:id="publicKeysPath" HBox.hgrow="ALWAYS">
                        <validators>
                            <RequiredFieldValidator message="%error.no-public-keys"/>
                            <ControlComponentsPublicKeysFileValidator baseMessage="%error.unreadable-public-key-file"/>
                        </validators>
                    </JFXTextField>
                </HBox>
            </VBox>
        </VBox>
        <HBox alignment="BOTTOM_RIGHT" styleClass="card-actions">
            <JFXButton text="%import-public-keys.submit"
                       styleClass="button-primary-raised"
                       buttonType="RAISED"
                       onMousePressed="#importFile"/>
        </HBox>
    </VBox>
</StackPane>
